Mailinglist Archive: opensuse-factory (262 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200914 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Tue, 15 Sep 2020 17:02:20 +0000
  • Message-id: <160018934036.5635.3076623096690101124@go-agent-stagingbot-6>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200914

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
PackageKit (1.1.13 -> 1.2.1)
aaa_base (84.87+git20200818.b9dd70f -> 84.87+git20200909.ee4a72c)
acl
boost-base
boost-extra
busybox-links
c-ares
crash
drbd-utils (9.13.0 -> 9.14.0)
efivar
freeipmi (1.6.5 -> 1.6.6)
gnome-shell (3.36.5 -> 3.36.6)
gnome-shell-extensions
hostname (3.21 -> 3.23)
inkscape (1.0 -> 1.0.1)
iproute2 (5.7.0 -> 5.8.0)
lcms2 (2.9 -> 2.11)
libmysofa
libqt5-qtbase (5.15.0 -> 5.15.1)
libqt5-qtconnectivity (5.15.0 -> 5.15.1)
libqt5-qtdeclarative (5.15.0 -> 5.15.1)
libqt5-qtgraphicaleffects (5.15.0 -> 5.15.1)
libqt5-qtimageformats (5.15.0 -> 5.15.1)
libqt5-qtlocation (5.15.0 -> 5.15.1)
libqt5-qtmultimedia (5.15.0 -> 5.15.1)
libqt5-qtnetworkauth (5.15.0 -> 5.15.1)
libqt5-qtquickcontrols (5.15.0 -> 5.15.1)
libqt5-qtquickcontrols2 (5.15.0 -> 5.15.1)
libqt5-qtscript (5.15.0 -> 5.15.1)
libqt5-qtsensors (5.15.0 -> 5.15.1)
libqt5-qtserialport (5.15.0 -> 5.15.1)
libqt5-qtspeech (5.15.0 -> 5.15.1)
libqt5-qtsvg (5.15.0 -> 5.15.1)
libqt5-qttools (5.15.0 -> 5.15.1)
libqt5-qtwayland (5.15.0 -> 5.15.1)
libqt5-qtwebchannel (5.15.0 -> 5.15.1)
libqt5-qtwebengine (5.15.0 -> 5.15.1)
libqt5-qtwebsockets (5.15.0 -> 5.15.1)
libqt5-qtx11extras (5.15.0 -> 5.15.1)
libqt5-qtxmlpatterns (5.15.0 -> 5.15.1)
libseccomp (2.4.3 -> 2.5.0)
libvirt
mariadb
metis
mlocate
mutter (3.36.5 -> 3.36.6+2)
neon (0.31.1 -> 0.31.2)
nodejs14 (14.7.0 -> 14.9.0)
osinfo-db (20200804 -> 20200813)
perl-HTTP-Message (6.25 -> 6.26)
permissions (1550_20200904 -> 1550_20200909)
purpose
python-networkx (2.4 -> 2.5)
redis (6.0.6 -> 6.0.8)
remmina
rng-tools (5 -> 6.10)
rubygem-actioncable-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-actionmailbox-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-actionmailer-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-actionpack-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-actiontext-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-actionview-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-activejob-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-activemodel-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-activerecord-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-activestorage-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-activesupport-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-autoprefixer-rails (9.8.6.2 -> 9.8.6.3)
rubygem-bcrypt (3.1.15 -> 3.1.16)
rubygem-childprocess (3.0.0 -> 4.0.0)
rubygem-loofah (2.6.0 -> 2.7.0)
rubygem-nio4r (2.5.2 -> 2.5.3)
rubygem-public_suffix (4.0.5 -> 4.0.6)
rubygem-puma (4.3.5 -> 4.3.6)
rubygem-rails-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-railties-6.0 (6.0.3.2 -> 6.0.3.3)
rubygem-spring (2.1.0 -> 2.1.1)
rubygem-sprockets-rails (3.2.1 -> 3.2.2)
subversion
sudo
unixODBC (2.3.8 -> 2.3.9)
v4l-utils
vala (0.48.7 -> 0.48.10)
virt-manager
virtualbox (6.1.13 -> 6.1.14)
virtualbox-kmp (6.1.13_k5.8.7_1 -> 6.1.14_k5.8.7_1)
xlockmore (5.54 -> 5.65)
zxing-cpp

=== Details ===

==== PackageKit ====
Version update (1.1.13 -> 1.2.1)
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Update to version 1.2.1
+ Port to the meson build system
+ Remove the GTK2 gtk-module support
+ Do not do failable actions in the PkDbus constructor
+ Do not do failable actions in the PkTransaction constructor
+ Revert "Shutdown the daemon on idle by default"
+ Actually merge in the PolicyKit translation
+ Fix setting libexecdir for command-not-found helper
+ Fix command-not-found handling arguments with spaces
+ Use SQL statements for queries with input
+ Exit pkcon with retval 5 if no packages needed be installed
+ dnf: Load all the repos and vars directories
+ dnf: Add vendor configuration for openSUSE
+ zypp: Ignore already installed package when installing
+ zypp: Remove upgrade-system implementation
+ zypp: Clean up temporary files when PK quits
+ zypp: Ensure ResPool is built before is_tumbleweed()
- Remove upstreamed patches
+ PackageKit-dnf-Add-openSUSE-vendor.patch
+ PackageKit-drop-gtk2.patch
+ PackageKit-pkcon-exit-with-retval-5.patch
+ PackageKit-zypp-cleanup-tmp-files.patch
+ PackageKit-zypp-ensure-ResPool-before-is_tumbleweed.patch
+ PackageKit-zypp-ignore-already-installed-packages.patch
+ PackageKit-zypp-update-packages-in-all-openSUSE.patch
- Add patch from upstream
+ PackageKit-test-Install-required-helper-files.patch
- Refresh existing patches
+ PackageKit-remove-polkit-rules.patch
+ PackageKit-systemd-timers.patch
- Clean up legacy cruft, assume openSUSE Leap 15 or newer

==== aaa_base ====
Version update (84.87+git20200818.b9dd70f -> 84.87+git20200909.ee4a72c)
Subpackages: aaa_base-extras

- Update to version 84.87+git20200909.ee4a72c:
* /etc/profile.d/xdg-environment.{sh,csh}: Added /usr/etc/xdg to
$XDG_CONFIG_DIRS
* sysctl.d/50-default.conf: allow everybody to create IPPROTO_ICMP sockets
(bsc#1174504)

==== acl ====
Subpackages: libacl1 libacl1-32bit

- update url

==== boost-base ====
Subpackages: boost-license1_74_0 libboost_date_time1_74_0
libboost_filesystem1_74_0 libboost_iostreams1_74_0 libboost_locale1_74_0
libboost_program_options1_74_0 libboost_regex1_74_0 libboost_thread1_74_0

- Enable context on s390x

==== boost-extra ====

- Enable context on s390x

==== busybox-links ====
Subpackages: busybox-coreutils busybox-findutils busybox-gawk busybox-grep
busybox-gzip busybox-patch busybox-psmisc busybox-sed busybox-sendmail
busybox-tar busybox-xz

- busybox-vi: conflict with all vi variants

==== c-ares ====

- simplify conditions bit to make it tad more readable
- Implement multibuild specfile to split out tests into its own
flavor; this way we can build and run tests, which require
static lib, as well as avoid packaging the latter without issues
with the installed cmake file..

==== crash ====

- Add crash-verify-exception-frame-accessible-for-all-verify-requests.patch
In calls to search a stack for x86_64 exceptions a flag is used
to request the stack be verified for room to contain saved
registers. The verify is not performed if other flags are used
in the same call. Fixing this exposes another bug where only a
kernel stack is verified anyway, even if the exception is being
searched for on a userspace stack. Patch fixes both problems.
(bsc#1162297)

==== drbd-utils ====
Version update (9.13.0 -> 9.14.0)

- bsc#1176436, update to 9.14.0
* pacemaker: various fixes/improvements for PM >=1.1.15
including the 2 series; crm-fence-peer.9.sh
* systemd dependency for drbd-proxy
* containers: multi-arch support, especially for s390x
* multipathd: blacklist drbd
* drbdsetup: code refactoring and improvements,
as well as tests for events2!
add "may_promote", "promotion_score". See man page.
* build: compile fixes for gcc-10; CI pipeline
* handlers: add "disconnected"
- Remove patch crm-fence-peer-pacemaker2-issue2.patch (included)
Remove patch link-error-setup_option.patch (included)

==== efivar ====

- Add efivar-bsc1175989-handle-NULL-set-variable.patch to fix
segfault in non-EFI systems (bsc#1175989)

==== freeipmi ====
Version update (1.6.5 -> 1.6.6)
Subpackages: libfreeipmi17 libipmiconsole2 libipmidetect0

- Update to 1.6.6
o In libfreeipmi, fix segfault in SPMI parsing leading to immediate
failures on some hardware across all tools.

==== gnome-shell ====
Version update (3.36.5 -> 3.36.6)
Subpackages: gnome-shell-calendar gnome-shell-lang

- Move branding image file to branding-SLE package
(jsc#SLE-11720 bsc#1176304).
+ Update gnome-shell-1007468-lock-screen-SUSE-logo-missing.patch
+ Remove sle-background.png
- Update to version 3.36.6:
+ Fix lock screen on systems without GLSL shader support.
+ Fix app icon scaling regression on HiDPI displays.
+ Updated translations.

==== gnome-shell-extensions ====
Subpackages: gnome-shell-classic gnome-shell-classic-session

- Move branding image file to branding-SLE package
(jsc#SLE-11720 bsc#1176304).
+ Remove sle-classic-lock-screen-background.patch
+ Remove SLE-theme.tar.gz

==== hostname ====
Version update (3.21 -> 3.23)

- update to 3.23:
* Increase buffer size for all FQDNs to NI_MAXHOST as suggested by manpage.
(Closes: #942311)
* Use the same size for getdomainname().
* Bumped Standards-Version, no changes needed.

==== inkscape ====
Version update (1.0 -> 1.0.1)

- Update to version 1.0.1:
* Selectors/CSS dialogue is now available.
* Experimental colour-managed PDF export through Scribus.
* Many crash fixes and bugs fixed.
- Add a inkscape-extensions-scribus package with the new extension.

==== iproute2 ====
Version update (5.7.0 -> 5.8.0)

- Update to release 5.8
* macsec: add support for MAC offload
* Add support for mptcp netlink interface
* erspan: Add type I version 0 support

==== lcms2 ====
Version update (2.9 -> 2.11)

- Update to 2.11
* Fixed __cpuid() on fast float plugin to allow gnu gcc
* Fixed copy alpha bounds check
* Fixed data race condition on contexts pool
* Fixed LUT16 write matrix on multichannel V2 profiles
- Changes in 2.10
* Added a compilation toggle to remove "register" keyword in API.
* Previously commercial, fast_float plug-in is now released as open source
under GPL3 license.
* MD5 functions are now accesible through plug-in API.
* Added support for Visual Studio 2019
* Bug fixing.
- Drop lcms2-cgats-memory-allocation.patch, its now in upstream code
- Refresh patches
- Run spec-cleaner

==== libmysofa ====

- Set CODE_COVERAGE to OFF to prevent runtime profile data
generation.

==== libqt5-qtbase ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Update to 5.15.1:
* New bugfix release
* Fixes CVE-2020-17507
* For more details please see:
http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.15.1/?h=5.15.1
- Drop patches, now upstream:
* 0001-Do-not-multithread-if-already-in-a-global-threadpool.patch
* 0001-Fix-QToolButton-menus-showing-on-primary-screens-in-.patch
- Adjust fix-build-openssl-1.1.0.patch

==== libqt5-qtconnectivity ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5Bluetooth5 libQt5Bluetooth5-imports libQt5Nfc5
libQt5Nfc5-imports libqt5-qtconnectivity-tools

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtconnectivity.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtdeclarative ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtdeclarative.git/plain/dist/changes-5.15.1/?h=5.15.1
- Drop patches, now upstream:
* fix-subpixel-positioned-text.patch
* qtdeclarative-switch-to-python3.patch

==== libqt5-qtgraphicaleffects ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtgraphicaleffects.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtimageformats ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtimageformats.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtlocation ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5Location5 libQt5Positioning5 libQt5PositioningQuick5

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtlocation.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtmultimedia ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtmultimedia.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtnetworkauth ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtnetworkauth.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtquickcontrols ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtquickcontrols.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtquickcontrols2 ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5QuickControls2-5 libQt5QuickTemplates2-5

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtquickcontrols2.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtscript ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtscript.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtsensors ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5Sensors5 libQt5Sensors5-imports

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtsensors.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtserialport ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtserialport.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtspeech ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5TextToSpeech5 libqt5-qtspeech-plugin-speechd

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtspeech.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtsvg ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtsvg.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qttools ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5Designer5 libQt5Help5 libqt5-qdbus libqt5-qtpaths

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qttools.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtwayland ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5WaylandClient5 libQt5WaylandCompositor5

- Update to 5.15.1:
* New bugfix release
* For more details please see:
http://code.qt.io/cgit/qt/qtwayland.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtwebchannel ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5WebChannel5 libQt5WebChannel5-imports

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtwebchannel.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtwebengine ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.15.1/?h=5.15.1
- Drop patches, now upstream:
* icu-v67.patch
* 0001-fix-build-after-y2038-changes-in-glibc.patch
- Refresh disable-gpu-when-using-nouveau-boo-1005323.diff
- Update rtc-dont-use-h264.patch
- Add patch to not require openh264 and don't build the bundled version:
* rtc-dont-use-h264.patch

==== libqt5-qtwebsockets ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5WebSockets5 libQt5WebSockets5-imports

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtwebsockets.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtx11extras ====
Version update (5.15.0 -> 5.15.1)

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtx11extras.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libqt5-qtxmlpatterns ====
Version update (5.15.0 -> 5.15.1)
Subpackages: libQt5XmlPatterns5 libqt5-qtxmlpatterns-imports

- Update to 5.15.1:
* New bugfix release
* For more details please see:

http://code.qt.io/cgit/qt/qtxmlpatterns.git/plain/dist/changes-5.15.1/?h=5.15.1

==== libseccomp ====
Version update (2.4.3 -> 2.5.0)

- Do not rely on gperf: pass GPERF=/bin/true to configure and
remove gperf BuildRequires. The syscalls.perf file it would
generate is part of the tarball already.
- testsuite-riscv64-missing-syscalls.patch: Fix testsuite failure on
riscv64
- Ignore failure of tests/52-basic-load on qemu linux-user emulation
- Update to release 2.5.0
* Add support for the seccomp user notifications, see the
seccomp_notify_alloc(3), seccomp_notify_receive(3),
seccomp_notify_respond(3) manpages for more information
* Add support for new filter optimization approaches, including a balanced
tree optimization, see the SCMP_FLTATR_CTL_OPTIMIZE filter attribute for
more information
* Add support for the 64-bit RISC-V architecture
* Performance improvements when adding new rules to a filter thanks to the
use of internal shadow transactions and improved syscall lookup tables
* Properly document the libseccomp API return values and include them in the
stable API promise
* Improvements to the s390 and s390x multiplexed syscall handling
* Multiple fixes and improvements to the libseccomp manpages
* Moved from manually maintained syscall tables to an automatically generated
syscall table in CSV format
* Update the syscall tables to Linux v5.8.0-rc5
* Python bindings and build now default to Python 3.x
* Improvements to the tests have boosted code coverage to over 93%
- libseccomp.keyring: replaced by Paul Moore <pmoore@xxxxxxxxxx> key.

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-iscsi
libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- spec: Increase test timeout to account for slower test execution
on some architectures
- qemu: Tolerate non-existing files such as /dev/kvm when
populating domain private namespace
8abd1ffe-qemu-tolerate-non-existent-files.patch,
4a72b76b-qemu-namespace-memleak-fix.patch
boo#1176380

==== mariadb ====
Subpackages: libmariadbd19 mariadb-client mariadb-errormessages

- Using basic.target dependencies is not needed with any systemd
release unless DefaultDependencies is disabled, remove from
unit files
- Mariadb uses hrtimers with absolute CLOCK_REALTIME values, this
won't work correctly if the clock isn't set and will do funny things
if it goes backward after starting the server as POSIX says that the new
clock value shall influence them, start the service after time-sync.target
to workaround the problem.

==== metis ====

- Add build support for gcc10 to HPC build (bsc#1174439).

==== mlocate ====
Subpackages: mlocate-lang

- require apparmor-abstractions, because apparmor.service fails with
Could not open 'tunables/global' error otherwise

==== mutter ====
Version update (3.36.5 -> 3.36.6+2)
Subpackages: libmutter-6-0 mutter-data mutter-lang

- Update to version 3.36.6+2:
+ kms/crtc:
- Always consider gamma state valid.
- Read initial gamma state.
+ Fix stale cursor positions in remote desktop sessions.
+ Limit mipmap levels when rendering background.
+ Improve support for Hangul input method.
+ Fixed crashes.
+ Plugged memory leaks.
+ Misc. bug fixes and cleanups.
- Drop patch fixed upstream:
+ mutter-meson_options-Use-libGLESv2.so.2-for-COGL_DRIVER-gle.patch

==== neon ====
Version update (0.31.1 -> 0.31.2)

- update to 0.31.2:
* Fix ne_md5_read_ctx() with OpenSSL on big-endian architectures.
* Fix GCC 10 warning in PKCS#11 build.
* Fix OpenSSL build w/o deprecated APIs (Rosen Penev).
* Fix unnecessary MD5 test for non-Digest auth (Sebastian Reschke).
* Fix hang on SSL connection close with IIS (issue #11).
* Fix ar, ranlib detection when cross-compiling (Sergei Trofimovich).

==== nodejs14 ====
Version update (14.7.0 -> 14.9.0)
Subpackages: npm14

- old_icu.patch: re-add support for ICU 65 from SLE15 SP2
- fix_ci_tests.patch: move debug symbol strip for testing to the Makefile
- Update to version 14.9.0:
* build: set --v8-enable-object-print by default (Mary Marchini) #34705
* deps:
+ upgrade to libuv 1.39.0 (cjihrig) #34915
+ upgrade npm to 6.14.8 (Ruy Adorno) #34834
+ V8: cherry-pick e06ace6b5cdb (Anna Henningsen) #34673
* n-api: handle weak no-finalizer refs correctly (Gabriel Schulhof) #34839
* tools: add debug entitlements for macOS 10.15+ (Gabriele Greco) #34378
- Changes in version 14.8.0:
* async_hooks: add AsyncResource.bind utility (James M Snell) #34574
* deps: update to uvwasi 0.0.10 (Colin Ihrig) #34623
* module: unflag Top-Level Await (Myles Borins) #34558
* n-api: support type-tagging objects (Gabriel Schulhof) #28237
* n-api,src: provide asynchronous cleanup hooks (Anna Henningsen) #34572
- versioned.patch: refreshed
- linker_lto_jobs.patch: refreshed
- Explicitly add -fno-strict-aliasing to CFLAGS to fix compilation
on Aarch64 with gcc10 (bsc#1172686)

==== osinfo-db ====
Version update (20200804 -> 20200813)

- Update database to version 20200813
osinfo-db-20200813.tar.xz

==== perl-HTTP-Message ====
Version update (6.25 -> 6.26)

- updated to 6.26
see /usr/share/doc/packages/perl-HTTP-Message/Changes
6.26 2020-09-10 02:34:25Z
- Update comment which explains in which RFC 451 is defined (GH#143) (Olaf
Alders). Reported by Toby Inkster.
- Fix HTTP status descriptions and add 425 Too Early (GH#145) (Dan Book)

==== permissions ====
Version update (1550_20200904 -> 1550_20200909)
Subpackages: chkstat permissions-config permissions-doc

- Update to version 20200909:
* screen: remove /run/uscreens covered by systemd-tmpfiles (bsc#1171879)

==== purpose ====
Subpackages: libKF5Purpose5 libKF5PurposeWidgets5 purpose-lang

- Add patch to fix build with Qt 5.15.1:
* 0001-Revert-Port-some-qt5.15-deprecated-method.patch

==== python-networkx ====
Version update (2.4 -> 2.5)

- Update to 2.5:
* Highlights:
+ Dropped support for Python 3.5.
+ add Pathlib support to work with files.
+ improve performance.
+ Updated docs and tests.
+ Removed code designed to work with Python 2.
* New Functions:
+ lukes_partitioning
+ triadic analysis functions
+ functions for trophic levels analysis
+ d_separated
+ is_regular and other regular graph measures
+ graph_hash using Weisfeiler Lehman methods
+ common_neighbor_centrality (CCPA link prediction)
+ max_weight_clique
+ path_weight and is_path
+ rescale_layout_dict
+ junction_tree
* New generators:
+ paley_graph
+ interval_graph
* New layouts:
+ multipartite_layout
- To see improvements, API changes and deprecations, please visit:
https://networkx.github.io/documentation/stable/release/release_2.5.html
- Dropped patches already included by upstream:
* numpy-38-test.patch
* matplotlib.patch
* networkx-pr4012-use-mpl.patch
- Add patch to remove a failing test in i586. The issue was
submitted to upstream at gh#networkx/networkx#4203:
* disable-test-failing-in-i586.patch

==== redis ====
Version update (6.0.6 -> 6.0.8)

- redis 6.0.8:
* bug fixes when using with Sentinel
* bug fixes when using CONFIG REWRITE
* Remove THP warning when set to madvise
* Allow EXEC with read commands on readonly replica in cluster
* Add masters/replicas options to redis-cli --cluster call command
- includes changes from 6.0.7:
* CONFIG SET could hung the client when arrives during RDB/ROF
loading
* LPOS command when RANK is greater than matches responded with
broken protocol
* Add oom-score-adj configuration option to control Linux OOM
killer
* Show IO threads statistics and status in INFO output
* Add optional tls verification mode (see tls-auth-clients)

==== remmina ====
Subpackages: remmina-lang remmina-plugin-rdp remmina-plugin-secret
remmina-plugin-vnc remmina-plugin-xdmcp

- Build with kwallet and libappindicator on Tumbleweed, Leap and
SLE releases greater than SLE-15-SP2 (jsc#SLE-11656).

==== rng-tools ====
Version update (5 -> 6.10)

- update to 6.10:
* Conversion of all entropy sources to use openssl instead of gcrypt,
eliminating the need for the gcrypt library
* updated nist beacon entropy source to conform to version 2 of the
* Added rtlsdr radio entropy source
* Fixed arm host_cpu name, fixing a build break
* Fixed selection of default pkcs11 engine, based on target arch
* Moved closing jitter entropy source printouts to be LOG_DEBUG
* Typo fixes from codespell
* Fix a build break with power darn entropy sourceaa
* Improve interlock between main rngd thread, and jitterentropy threads
during startup/shutdown to avoid deadlock/unneeded latency
* Avoid writing to write_wakeup_threshold when no specific threshold is set
(allowing for separate services to preform this task without warnings from rngd)
* Enhance logging to more clearly indicate which entropy source is issuing a
given log message
* Daemonize earlier, thereby avoiding early thread exit, which in turn leads
to additional latency on shutdown
* Allow for immediate thread shutdown in jitter - By using
sigsetjmp/siglongjmp, threads can exit, even when blocking in the jitter library
* Fixed texrels on on rdrand_asm.S for pic compilation
* allow use of libargp if libc lacks argp parsing
* explicitly link against -lcrypto, fixing build in pkcs11 entropy source
* replace pthread_yield with posix compliant sched_yield
* bias rngd to use faster sources of entropy when available, falling back to
slower sources when needed
* Fix a shutdown delay resulting from a thread exit race
* Fix a few minor compilation warnings
* Fix make distcheck make target
* Minor typo fixes/cleanups
* Misc typo fixes
* Fixed build break on ppc
* Fixed bug in which getaffinity returns error on virt systems for
jitterentropy
* Fixed low watermark sizing for kernel entropy pool
* Add a test mode, allowing entropy production rates to be measured
* Added jitter library as an entropy source
* Added short names to entropy sources (rather than just index numbers), for
use in identifying sources to exclude/include/set options on
* Deprecated tpm entropy source, as all modern tpm2 hardware in the kernel
exports entropy via /dev/hwrng (the hwrng entropy source)
* Deprecated use of indexs in exclude/include/option setting
* Introduced the concept of slow entropy sources, that produce entropy at
rates slow enough that would otherwise cause them to get disabled as being
broken
* Defaulted rdrand entropy source to not use aes, as it creates a significant
performance increase
* Update of jitterentropy-library version
* Addition of -O flag to allow per-entropy-source option setting (documented
in man page)
* Misc jitterentropy bugfixes
* Fixing of debug messages and quiet behavior
* Enable runtime disablement of AES in rdrand entropy if no AES method is
available
* Make jitterentropy thread count/buffer sizes configurable
* Make AES use in rdrand and darn entropy sources configurable
* Fixes a few logic errors in the use of jitterentropy
* Fixes a build issue in which make check fails
* Some source typo fixes
* Add caching to jitterentropy
* Free some leaked memory on exit
* limit nistbeacon random data based on freq and timestamp
* Document nistbeacon more
* improved exit code reporting
* ability to suppress failure messages when not wanted
* correction of nistbeacon fields on non 64 bit arches
* proper exiting on SIGTERM/SIGINT when polling in update_kernel_random
* Fixed a drng build issue based on a missing extern symbol
* minor code formatting cleanup
* ensure darn rng asm code is volatile to prevent getting optimized out
* improve darn runtime hardware support check
* man page fixes
* fixed bug in which rngd takes control of the terminal
- drop rng-tools-check_signals.patch (obsolete)

==== rubygem-actioncable-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-actionmailbox-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-actionmailer-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-actionpack-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)
Subpackages: ruby2.6-rubygem-actionpack-6.0 ruby2.7-rubygem-actionpack-6.0

- updated to version 6.0.3.3
* no changes

==== rubygem-actiontext-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-actionview-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)
Subpackages: ruby2.6-rubygem-actionview-6.0 ruby2.7-rubygem-actionview-6.0

- updated to version 6.0.3.3
* CVE-2020-8185: Fix potential XSS vulnerability in the `translate/t` helper
(bsc#1173564)

==== rubygem-activejob-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-activemodel-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)
Subpackages: ruby2.6-rubygem-activemodel-6.0 ruby2.7-rubygem-activemodel-6.0

- updated to version 6.0.3.3
* no changes

==== rubygem-activerecord-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-activestorage-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
* no changes

==== rubygem-activesupport-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)
Subpackages: ruby2.6-rubygem-activesupport-6.0 ruby2.7-rubygem-activesupport-6.0

- updated to version 6.0.3.3
* no changes

==== rubygem-autoprefixer-rails ====
Version update (9.8.6.2 -> 9.8.6.3)

- updated to version 9.8.6.3
* Fix deprecation warning for non-Rails environment.

==== rubygem-bcrypt ====
Version update (3.1.15 -> 3.1.16)

- updated to version 3.1.16
* Fix compilation on FreeBSD. [GH #234]

==== rubygem-childprocess ====
Version update (3.0.0 -> 4.0.0)

- New upstream release 4.0.0
* [#167](https://github.com/enkessler/childprocess/pull/167): Fix detach
behavior on Windows
* [#168](https://github.com/enkessler/childprocess/pull/168): Drop support
for Ruby 2.3
- packaging changes:
* drop development only files

==== rubygem-loofah ====
Version update (2.6.0 -> 2.7.0)
Subpackages: ruby2.6-rubygem-loofah ruby2.7-rubygem-loofah

- updated to version 2.7.0
[#]## Features
* Allow CSS properties `page-break-before`, `page-break-inside`, and
`page-break-after`.
[[#190](https://github.com/flavorjones/loofah/issues/190)]
(Thanks, [@ahorek](https://github.com/ahorek)!)
[#]## Fixes
* Don't drop the `!important` rule from some CSS properties.
[[#191](https://github.com/flavorjones/loofah/issues/191)]
(Thanks, [@b7kich](https://github.com/b7kich)!)

==== rubygem-nio4r ====
Version update (2.5.2 -> 2.5.3)
Subpackages: ruby2.6-rubygem-nio4r ruby2.7-rubygem-nio4r

- updated to version 2.5.3
* [#241](https://github.com/socketry/nio4r/issues/241)
Possible bug with Ruby >= 2.7.0 and `GC.compact`.
([@boazsegev])

==== rubygem-public_suffix ====
Version update (4.0.5 -> 4.0.6)

- updated to version 4.0.6
[#] Changed
* Updated definitions

==== rubygem-puma ====
Version update (4.3.5 -> 4.3.6)
Subpackages: ruby2.6-rubygem-puma ruby2.7-rubygem-puma

- updated to version 4.3.6
* Bugfixes
* Explicitly include ctype.h to fix compilation warning and build error on
macOS with Xcode 12 (#2304)
* Don't require json at boot (#2269)

==== rubygem-rails-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)

- updated to version 6.0.3.3
Changes are in Rails's modules.
Release Blog entry:

https://weblog.rubyonrails.org/2020/9/10/Rails-5-2-4-4-and-6-0-3-3-have-been-released/

==== rubygem-railties-6.0 ====
Version update (6.0.3.2 -> 6.0.3.3)
Subpackages: ruby2.6-rubygem-railties-6.0 ruby2.7-rubygem-railties-6.0

- updated to version 6.0.3.3
* no changes

==== rubygem-spring ====
Version update (2.1.0 -> 2.1.1)
Subpackages: ruby2.6-rubygem-spring ruby2.7-rubygem-spring

- updated to version 2.1.1
* Avoid -I rubylibdir with default-gem bundler
* Start server process in directory where command was called

==== rubygem-sprockets-rails ====
Version update (3.2.1 -> 3.2.2)
Subpackages: ruby2.6-rubygem-sprockets-rails ruby2.7-rubygem-sprockets-rails

- updated to version 3.2.2
* Fix extending ActionView::Base instances with Sprockets::Rails::Helper on
Rails 6.1
* Fix deprecation warning on Ruby 2.7 [#454]
* action_view/base is no longer required when rake tasks are loaded [#455]
* Asset not precompiled error exception renamed to AssetNotPrecompiledError
[#414]

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 libsvn_auth_kwallet-1-0
subversion-bash-completion subversion-perl subversion-server subversion-tools

- Fix jira reference to SLE-11901
- Add patch to remove dependency on kdelibs4support just to run
kf5-config to find out that headers are in /usr/include and
libraries are in /usr/lib(64) (jsc#SLE-11901):
* remove-kdelibs4support-dependency.patch

==== sudo ====
Subpackages: sudo-plugin-python

- Modified the secure_path to include the other two default paths
which are commonly available to $user. This will offer a better
and more consistent UX.

==== unixODBC ====
Version update (2.3.8 -> 2.3.9)

- Update to 2.3.9:
* Remove "#define UNIXODBC_SOURCE" from unixodbc_conf.h

==== v4l-utils ====
Subpackages: libv4l libv4l1-0 libv4l2-0 libv4l2rds0 libv4lconvert0
v4l-utils-lang

- Exclude /usr/lib/udev/systemd-udevd.service.d/50-rc_keymap.conf
for Leaps, it isn't installed in the first place

==== vala ====
Version update (0.48.7 -> 0.48.10)
Subpackages: libvala-0_48-0

- Update to version 0.48.10:
+ Various improvements and bug fixes:
- tests: Don't rely on undefined use-after-free behaviour of
glibc
- Add TraverseVisitor for traversing the tree with a callback
- Force usage of temporary variables for "tainted" member
accesses
- vala:
. Move transformation of unary increment/decrement to codegen
. Set parent_node for child nodes of lambda-expression
. Additionally break on ObjectCreationExpression in "tainted"
check
. Add ObjectCreationExpression.to_string()
- codegen: Don't append unreachable clean-up section of Block
- codegen: Always include base_struct declaration if available
- manual: Update from wiki.gnome.org
- Don't use locale dependent string functions on syntax strings
- girparser: Additionally fallback to "glib:type-name" to
retrieve the cname
- libvaladoc/girimporter:
. Fallback to "name" for callback
. Fallback to "glib:type-name" for class, interface and
record
. Improve parse_symbol_doc() and don't use parse_doc()
. Skip "attribute" elements
- libvaladoc/gtkdoc-importer:
. Correctly retrieve "url" from "ulink" elements
. Don't let parse_block_taglet() return null
+ Bindings:
- gstreamer: Update from 1.17.2+ git master
- gtk4: Update to 3.99.1
- gtk4: Resolve a few conflicts of methods with virtual-methods
- pango: Update from 1.46.0
- webkit2gtk-4.0: Update to 2.29.91
- Update to version 0.48.9:
+ Regression and bug fixes:
- codegen: Include header for base-symbols when connecting
vfuncs.
- vala:
+ Inherit CCode.returns_floating_reference attribute from
base.
+ Mark tranformed member-access as qualified.
- girparser: Add support for string "feature_test_macro"
metadata.
- Revert "girwriter: Use appropriate get_ccode_* functions".
+ Bindings:
- gio-unix-2.0: Fix "g_unix_mount_for" binding.
- gio-2.0: Include "gio/gsettingsbackend.h" for
GLib.SettingsBackend members.
- goocanvas-2.0: Fix some field ownerships and types.
- gstreamer: Update from 1.17.2+ git master.
- gtk4: Update to 3.99.0+358b698e.
- pango: Update from 1.45.4+.
- posix: Add missing "has_typedef" attribute for some
delegates.
- posix: Declare WRDE_APPEND constant as public.
- Drop vala-revert-girwriter-get_ccode.patch: fixed upstream.
- Add vala-revert-girwriter-get_ccode.patch: Revert "girwriter: Use
appropriate get_ccode_* functions"; fixes generation of Tracker's
.gir files used by gnome-music.
- Update to version 0.48.8:
+ Various improvements and bug fixes:
- codegen:
. Handle "gtk_param_spec_expression" in get_param_spec()
. Properly compare string if binary-expression contains
string-literal
. Inline allocated and constant arrays are never NULL
. Check param for null before using it
. Properly destroy elements of an inline struct array
- vala:
. Avoid subsequent critical caused by invalid array type for
constant
. Improve error handling of nested initializer lists
. Don't allow "resize" invocation on variable with unowned
array type
. Property must be writable when invoking
ReturnsModifiedPointer method
. Recursive check of assignment target to recognize constants
. Return copy of constant type in get_value_type_for_symbol()
. Handle parameter initializer without value-type
. Fully qualify member-access when using-directive was used
to resolve
. Tranform instance member-access to a static one if possible
. Improve check of expression passed to yield
. Allow prototype access to signal with emitter
. Check error-type accessibility of creation methods and
delegates
- girparser: Warn about conflicting signals and properties
- girparser: Skip 'docsection' elements in <namespace>
- girwriter:
. Add c:identifier-prefixes to <namespace>
. Write c:type="void" when name="none"
. Write c:symbol-prefix on supported elements
. Don't include symbols outside of a namespace
. Use appropriate get_ccode_* functions
- libvaladoc: Support exporting the `class` modifier on methods
and fields
- Disable deprecation warnings when checking bindings
- tests: Fix "methods/extern" test with -Werror=address and gcc
5.4.0
+ Bindings:
- glib-2.0: Add AtomicUint, an alternation of AtomicInt for
uint
- gstreamer: Update from 1.17.2+ git master
- gtk+-3.0: Update to 3.24.21+ffe2df7b
- gtk+-3.0: Resolve conflicts of signals with properties
- gtk4: Resolve conflict of DropTarget.drop signal with
property
- gtk4: Improve Gtk.ParamSpecExpression binding
- gtk4: Fix binding of CClosureExpression ctor [#1024]
- gtk4,gtk4-unix-print: Update to 3.98.5+23dcf36e
- webkit2gtk-4.0: Update to 2.29.4

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- bsc#1176080 - selecting one UEFI firmware in install wizard
resets UI to BIOS
e8bf16b9-details-fix-detection-of-firmware-auto-selection.patch
- Upstream bug fix (bsc#1027942)
5573aeb4-createnet-Fix-XML-editor-error-when-dhcp-fields-are-empty.patch
7e3fb3f2-graphics-Default-to-vga-instead-of-qxl-for-non-spice.patch
- jsc#SLE-11773, Dev: virt-manager: AppIndicator3
virt-manager.spec
- jsc#SLE-15926 - Dev: XEN: drop netware support
Drop virtman-keycombo.patch

==== virtualbox ====
Version update (6.1.13 -> 6.1.14)
Subpackages: virtualbox-guest-tools virtualbox-guest-x11

- Update to Oracle version 6.1.14a. This minor update enables the building of
libvirt again.
File "fix_virtio_build.patch" is removed.
- Remove symbols that forced rebuild of initrd
- Version update to 6.1.14 (released September 04 2020 by Oracle)
File "fix_virtio_build.patch" is added to fix a build problem.
This is a maintenance release. The following items were fixed and/or added:
GUI: Fixes file name changes in the File location field when creating Virtual
Hard Disk (bug #19286)
VMM: Fixed running VMs which failed to start with
VERR_NEM_MISSING_KERNEL_API_2 when Hyper-V is used (bug #19779 and #19804)
Audio: fix regression in HDA emulation introduced in 6.1.0
Shared Clipboard: Fixed a potential crash when copying HTML data (6.1.2
regression; bug #19226)
Linux host and guest: Linux kernel version 5.8 support
EFI: Fixed reading ISO9660 filesystems on attached media (6.1.0 regression;
bug #19682)
EFI: Support booting from drives attached to the LsiLogic SCSI and SAS
controller emulations

==== virtualbox-kmp ====
Version update (6.1.13_k5.8.7_1 -> 6.1.14_k5.8.7_1)

- Update to Oracle version 6.1.14a. This minor update enables the building of
libvirt again.
File "fix_virtio_build.patch" is removed.
- Remove symbols that forced rebuild of initrd
- Version update to 6.1.14 (released September 04 2020 by Oracle)
File "fix_virtio_build.patch" is added to fix a build problem.
This is a maintenance release. The following items were fixed and/or added:
GUI: Fixes file name changes in the File location field when creating Virtual
Hard Disk (bug #19286)
VMM: Fixed running VMs which failed to start with
VERR_NEM_MISSING_KERNEL_API_2 when Hyper-V is used (bug #19779 and #19804)
Audio: fix regression in HDA emulation introduced in 6.1.0
Shared Clipboard: Fixed a potential crash when copying HTML data (6.1.2
regression; bug #19226)
Linux host and guest: Linux kernel version 5.8 support
EFI: Fixed reading ISO9660 filesystems on attached media (6.1.0 regression;
bug #19682)
EFI: Support booting from drives attached to the LsiLogic SCSI and SAS
controller emulations

==== xlockmore ====
Version update (5.54 -> 5.65)

- update to 5.65:
Fix from Jan Kratochvil and Adrian Reber, adrian AT lisas.de for Fedora.
xlock -startCmd true... would core on Fedora, exit() replaced with
_exit().
Update for magick.c to use strncpy thanks to Jouk Jansen.
Fix for hyper mode from original author, for potential but not
likely memory leak and free(NULL) issue John Heidemann, johnh
AT isi.edu.
More buffer gcc warnings removed for dclock.c, image.c, and
scrnsave.c.
ras.c/magick.c gcc 10 fix from Adrian Reber, adrian AT lisas.de .
VMS already handles this in make.com.
Lots of spelling errors fixed due to codespell
https://manpages.debian.org/testing/codespell/codespell.1.en.html
A few more gl modes (molecule, invert) fixed up by
EoflaOE ViceCity to run in xscreensaver.
Added additional changes to solitaire and invert. invert will
build in xscreensaver with some coaxing, see README in
xscreensaver directory.
Removed buffer gcc warning about nose.c.
Fix from brett.diamond AT gmail.com to get "xlock -help" from
crashing.
As a Blake's 7 fan, I had to add the Liberator to star mode.
Same fix from Jouk Jansen and Adrian Reber, adrian AT lisas.de
for juggler3d.cc in previous release.
Change from Denys Vlasenko (thanks to Adrian Reber for pointing out)
https://bugzilla.redhat.com/show_bug.cgi?id=874484
This helps xlock's parent process to know xlock crashed.
ico mode added truncated octahedron.
Another gl mode, sierpinski3d, fixed up by EoflaOE ViceCity to run
in xscreensaver.
Updated references to website to https. https://www.sillycycle.com
A few more gl modes (incl. maze3d, pipe, sproingies) fixed up by
EoflaOE ViceCity to run in xscreensaver.
Thanks to tobik, ohartmann AT walstatt.org, and Jason Helfman,
jgh AT FreeBSD.org for xglock fixes for "failed due to signal" for
clang.
Syncing with xscreensaver and many modes modified, more than
half working there. pacman and puzzle run but need some
obvious work, others run too fast or flash on the screen.
Various fixes from Jouk Jansen and EoflaOE ViceCity.
Updated GL modes also, inaddition to overlap: biof, skewb, and
fire (needs images). See xscreensaver/README for new directions.
Updated in linux to build with modules, must have broken somewhere
down the line. imake build fixed too.
bomb mode fixed for xlock.
Syncing with xscreensaver. Much has changed since last time this
was done and much left to do. Nonglx "a"'s and some "b"'s done
so far. Automata modes like ant.c should use automata.c and
automata.h supplied by xlockmore.
ball bat not working right there yet. Also bouboule to do right will
require changes to xlockmore files from xscreensaver.
See new xscreensaver/README for instructions.
While testing uncovered old security bug in anenome mode and fixed.
life updates to use a more standard notation for nontotalistic cellular
automata.
ax_pthread.m4 needed for autoconf, added back in, oops.
Removed VMS caddr_t fix from matrix.c, cage.c, gears.c, glplanet.c,
invert.c, juggler3d.c, lament.c, moebius.c, molecule.c, morph3d.c,
noof.c, pipes.c, rubik.c, sierpinski3d.c, skewb.c, stairs.c,
superquadrics.c as no longer needed. Thanks to Jouk Jansen.
boxed and maze3d modes added thanks mainly to Jouk Jansen.
boxed added to xlock95.scr. xlock95 Makefile now builds to 64 bit.
Thanks to Jason Helfman, jgh AT FreeBSD.org for sound installation fixes.
Thanks to Tobias Kortkamp, for his patch for glock compile issue with
CLANG 6.0.0.
Fixing warnings using clang for back.xpm, nose.c, passwd.c.
Fixing errors using g++ for deluxe.c, also various casting added.
Fixing potential some buffer overruns pointed out in mingw in
apollonian.c and hyper.c.
Fixing potential error of using null pointer thanks again to mingw in
xlock.c.
pyro2 was not showing anything on screen due to it not finding font,
changed it to default to mode_font if can not find.
Thanks to Dave Odell, dmo2118 AT gmail.com for his fzort mode update to
use the functions in xshm.c and fixes crash when running X11 over network.
Note from Dave Odell:
<https://www.jwz.org/xscreensaver/xscreensaver-5.37.tar.gz>. MI_INIT() is
defined and documented in hacks/xlockmore.h, with related functions
defined in hacks/xlockmore.c. MI_INIT() currently takes three parameters:
the ModeInfo *, the state array, and a function pointer for the new free
hook. FWIW, it could instead be just the first two parameters, with the
free hook being set up like the other ModeHooks; this would be a bit
nicer, I think. But I was going for something that could be applied
incrementally to individual screenhacks in XScreenSaver, and could -- in
theory -- be brought back to xlockmore with minimal impact.
ant mode resync'd with xscreensaver... Thanks to David Odell redoing my
sad attempt.
- sound configuration changed around so it should work on more machines,
now uses DEF_PLAY and play.sh by default.
Thanks to Stanislav Brabec, sbrabec AT suse.cz for his "hack" to fix for
PAM with non-English locales. He notes to fix properly a "Password"
prompt list should be obtained at the initial phase of authentication.
Added PAM_PASSWORD_PROMPT for using old way.
Fixed leak in scooter thanks to Valgrind.
- remove xlockmore-pam.patch (upstream/obsolete)

==== zxing-cpp ====

- Add fix for pkg-config file so the version and library are set properly
in the resulting .pc file:
* fix-pkg-config-file.patch


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >